<?php

/**
 * Typography Settings
 *
 * @package cat_groomer
 */

// Typography Settings
$wp_customize->add_section(
    'cat_groomer_typography_setting',
    array(
        'panel' => 'cat_groomer_theme_options',
        'title' => esc_html__( 'Typography Settings', 'cat-groomer' ),
    )
);

$wp_customize->add_setting(
    'cat_groomer_site_title_font',
    array(
        'default'           => 'Raleway',
        'sanitize_callback' => 'cat_groomer_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'cat_groomer_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'cat-groomer' ),
        'section'  => 'cat_groomer_typography_setting',
        'settings' => 'cat_groomer_site_title_font',
        'type'     => 'select',
        'choices'  => cat_groomer_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'cat_groomer_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'cat_groomer_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'cat_groomer_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'cat-groomer' ),
		'section'  => 'cat_groomer_typography_setting',
		'settings' => 'cat_groomer_site_description_font',
		'type'     => 'select',
		'choices'  => cat_groomer_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'cat_groomer_header_font',
	array(
		'default'           => 'Lilita One',
		'sanitize_callback' => 'cat_groomer_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'cat_groomer_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'cat-groomer' ),
		'section'  => 'cat_groomer_typography_setting',
		'settings' => 'cat_groomer_header_font',
		'type'     => 'select',
		'choices'  => cat_groomer_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'cat_groomer_content_font',
	array(
		'default'           => 'Kodchasan',
		'sanitize_callback' => 'cat_groomer_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'cat_groomer_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'cat-groomer' ),
		'section'  => 'cat_groomer_typography_setting',
		'settings' => 'cat_groomer_content_font',
		'type'     => 'select',
		'choices'  => cat_groomer_get_all_google_font_families(),
	)
);